var http = require("http");
var url = require("url");
var fs = require("fs");
var api = require("./js/http.request.server.js");
var jsonServer = require('json-server');
var server = jsonServer.create();
var router = jsonServer.router('./db/db.json');
var middlewares = jsonServer.defaults();
var host = "localhost";
var port = 8090;

server.use(middlewares);
server.use(router);

server.listen(9090, function() {
  console.log('JSON Server is running');
});



http.createServer(function(req, res){
    var path = url.parse(req.url, true);
    if(path.pathname.endsWith("html")){
        fs.readFile("." + path.pathname, function(err, data){
            res.writeHead(200, "OK", { "Content-Type": "text/html"} );
            res.write(data);
            res.end();
        });
    } else if(path.pathname.endsWith("css")){
        fs.readFile("." + path.pathname, function(err, data){
            res.writeHead(200, "OK", { "Content-Type": "text/css"});
            res.write(data);
            res.end();
        });
    } else if(path.pathname.endsWith("js")){
        fs.readFile("." + path.pathname, function(err, data){
            res.writeHead(200, "OK", { "Content-Type": "text/javascript"});
            res.write(data);
            res.end();
        });

    } else if(path.pathname.endsWith("names")){
        switch(req.method){
            case "GET": api.getRequest(res, path.query.team);            
            break;
            case "POST": 
            var data = "";
            req.on("data", function(d){
                data+=d;
            });
            req.on("end", function(){
                api.postRequest(data, res);
            });            
            break;            
            case "DELETE":
            var delData = "";
            req.on("data", function(d){
                delData += d;
            });
            req.on("end", function(){
                api.deleteRequest(res, delData);
            });
            break;
        }
    }
}).listen(port, host);

